# The Red Matrix: view/php/theme_init.php File Reference

All Classes Namespaces Files Functions Variables Pages
theme_init.php File Reference

## Variables

| $channel = get_app()->get_channel()

## Variable Documentation

$channel = get_app()->get_channel()

Those who require this feature will know what to do with it. Those who don't, won't. Eventually this functionality needs to be provided by a module such that permissions can be enforced. At the moment it's more of a proof of concept; but sufficient for our immediate needs.

Referenced by api_call(), api_user(), attach_mkdir(), attach_store(), blocks_content(), build_sync_packet(), channel_content(), channel_init(), channel_remove(), connections_content(), connections_init(), connections_post(), conversation(), design_tools(), directory_run(), display_content(), editblock_content(), editlayout_content(), editpost_content(), editwebpage_content(), events_content(), events_post(), feed_init(), fix_attached_file_permissions(), fix_system_urls(), get_feed_for(), get_public_feed(), import_post(), invite_content(), item_photo_menu(), item_post(), item_store(), item_store_update(), items_fetch(), lastpost_content(), lastpost_init(), layouts_content(), magic_init(), message_content(), message_post(), mitem_post(), mood_init(), nav(), network_content(), network_init(), new_contact(), notifier_run(), photo_upload(), photos_albums_list(), photos_create_item(), photos_list_photos(), ping_init(), poke_init(), post_activity_item(), probe_content(), process_channel_sync_delivery(), process_delivery(), process_mail_delivery(), profile_init(), profile_photo_init(), profile_photo_post(), profile_tabs(), profiles_post(), rpost_content(), send_message(), settings_aside(), settings_post(), sources_post(), tagger_content(), thing_init(), uexport_init(), wall_attach_post(), wall_upload_post(), webpages_content(), wfinger_init(), zot_build_packet(), zot_finger(), and zot_refresh().